### Method

# Foundry Contextual acquire

since: 1.1

#### Declaration [src]

    FoundryContext*
    foundry_contextual_acquire (
      FoundryContextual* self
      GError** error
    )

#### Description [src]

This method provides a checked way to get a `context` for the contextual

If the resulting context is `NULL`, then the error is set to an appropriate error.

Available since: 1.1

#### Return value

Type: `FoundryContext`

A `FoundryContext` or `error` is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.